/**
  B3 : Simple blogging for PmWiki
  Written by (c) 2017-2020 Petko Yotov www.pmwiki.org/petko

  This text is written for PmWiki; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published
  by the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version. See pmwiki.php for full details
  and lack of warranty.

  Copyright 2017-2020 Petko Yotov www.pmwiki.org/petko
*/

(function(){
  var dates = document.getElementsByClassName('date');
  for(var i=0; i<dates.length; i++) {
    var a = dates[i].className.match(/stamp-(\d+)/);
    if (!a) continue;
    var msec = parseInt(a[1])*1000;
    var d = new Date(msec);
    dates[i].setAttribute('title', dates[i].innerHTML);
    dates[i].innerHTML = d.toLocaleString().replace(/(\d:\d\d):\d\d/, '$1');
  }
})();
